LIBPFM(3)

NAME
libpfm_arm_ac57 - support for Applied Micro X-Gene PMU

SYNOPSIS
#include <perfmon/pfmlib.h>

PMU name: arm_xgene
PMU desc: Applied Micro X-Gene

DESCRIPTION
The library supports the Applied Micro X-Gene PMU. This PMU supports 6 counters and privilege levels filtering. It can operate in both 32 and 64 bit modes.

MODIFIERS
The following modifiers are supported on Applied Micro X-Gene:

u   Measure at the user level. This corresponds to PFM_PLM3. This is a boolean modifier.

k   Measure at the kernel level. This corresponds to PFM_PLM0. This is a boolean modifier.

hv  Measure at the hypervisor level. This corresponds to PFM_PLMH. This is a boolean modifier.

AUTHORS
Stephane Eranian <eranian@gmail.com>
William Cohen <wcohen@redhat.com>